function preload() {
  hits = loadTable("num1_hits_2010s.csv", "csv", "header");
}

function setup() {
  createCanvas(400, 300);

  var args = {
    ignoreCase: true,
    ignorePunctuation: true,
    ignoreStopWords: false,
    wordCount: 4 //displays the number of words before and after a key word
  };

  lex = new RiLexicon();
  rhymes = lex.rhymes("know");

  //goes through each row and stores the lyrics into variable
  for (let i = 0; i < hits.getRowCount(); i++) {
    title = hits.getRow(i).get('title');
    lyrics = hits.getRow(i).get('lyrics');
    //console.log(RiTa.concordance(lyrics, args));
    //looks for the keyword in each set of lyrics
    var kwic = RiTa.kwic(lyrics, 'know', args);
    console.log(title + ": ");
    console.log(kwic);

    //iterate thorugh the rhyme array for chosen word and log kwic when a rhyme word appears in lyrics
    for (let r = 0; r < rhymes.length; r++) {
        rhymekwic = RiTa.kwic(lyrics, rhymes[r], args);
          if (rhymes.length > 0) {
        console.log(hits.getRow(i).get('know') + ": " + rhymes[r], rhymekwic);
      }
    }
  }

}
